Skip to content

credentials.get

One credential’s metadata.

Reference

GET/api/v1/credentials/{credential_uuid}

Auth
API key in X-API-Key
Content
none
Returns
200 · CredentialResponse

Get a specific webhook credential by UUID. Args: credential_uuid: The UUID of the credential Returns: The credential (without sensitive data)

Arguments

ArgumentInTypeRequiredDescription
credential_uuidpathstringrequired

Example request

curl -X GET "https://api.decibyl.ai/api/v1/credentials/<credential_uuid>" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "uuid": "string",
  "name": "string",
  "description": "string",
  "credential_type": "string",
  "created_at": "2026-09-14T09:30:00Z",
  "updated_at": "2026-09-14T09:30:00Z"
}

Errors

StatusWhen
404Not found
422Validation Error